com.tibbo.aggregate.common.sql

## Class SimpleSqlColumn

- java.lang.Object
- - com.tibbo.aggregate.common.sql.SimpleSqlColumn

- All Implemented Interfaces:
    SqlColumn

      public final class SimpleSqlColumn
      extends java.lang.Object
      implements SqlColumn

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `int` | `getDataType()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getParentPrimaryColumnName()`
    `java.lang.String` | `getRealName()`
    `java.lang.String` | `getReferencedTableName()`
    `SqlTable` | `getTable()`
    `java.lang.String` | `getTypeName()`
    `int` | `hashCode()`
    `boolean` | `isAutoIncrement()`
    `boolean` | `isDataBlock()`
    `boolean` | `isForeignKey()`
    `boolean` | `isGenerated()`
    `boolean` | `isNullable()`
    `boolean` | `isNumber()`
    `boolean` | `isPrimaryKey()`
    `boolean` | `isString()`
    `void` | `setAutoIncrement(boolean autoIncrement)`
    `void` | `setGenerated(boolean generated)`
    `void` | `setNullable(boolean nullable)`
    `void` | `setParentPrimaryColumnName(java.lang.String parentPrimaryColumnName)`
    `void` | `setPrimaryKey(boolean primaryKey)`
    `void` | `setReferencedTableName(java.lang.String referencedTableName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `SqlColumn`

    - #### getTable

          public SqlTable getTable()

      Specified by:
        `getTable` in interface `SqlColumn`

    - #### getRealName

          public java.lang.String getRealName()

      Specified by:
        `getRealName` in interface `SqlColumn`

    - #### getDataType

          public int getDataType()

      Specified by:
        `getDataType` in interface `SqlColumn`

    - #### getTypeName

          public java.lang.String getTypeName()

      Specified by:
        `getTypeName` in interface `SqlColumn`

    - #### getReferencedTableName

          public java.lang.String getReferencedTableName()

      Specified by:
        `getReferencedTableName` in interface `SqlColumn`

    - #### setReferencedTableName

          public void setReferencedTableName(java.lang.String referencedTableName)

      Specified by:
        `setReferencedTableName` in interface `SqlColumn`

    - #### isForeignKey

          public boolean isForeignKey()

      Specified by:
        `isForeignKey` in interface `SqlColumn`

    - #### getParentPrimaryColumnName

          public java.lang.String getParentPrimaryColumnName()

      Specified by:
        `getParentPrimaryColumnName` in interface `SqlColumn`

    - #### setParentPrimaryColumnName

          public void setParentPrimaryColumnName(java.lang.String parentPrimaryColumnName)

      Specified by:
        `setParentPrimaryColumnName` in interface `SqlColumn`

    - #### isPrimaryKey

          public boolean isPrimaryKey()

      Specified by:
        `isPrimaryKey` in interface `SqlColumn`

    - #### setPrimaryKey

          public void setPrimaryKey(boolean primaryKey)

      Specified by:
        `setPrimaryKey` in interface `SqlColumn`

    - #### isNullable

          public boolean isNullable()

      Specified by:
        `isNullable` in interface `SqlColumn`

    - #### setNullable

          public void setNullable(boolean nullable)

    - #### isAutoIncrement

          public boolean isAutoIncrement()

      Specified by:
        `isAutoIncrement` in interface `SqlColumn`

    - #### setAutoIncrement

          public void setAutoIncrement(boolean autoIncrement)

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isGenerated

          public boolean isGenerated()

    - #### setGenerated

          public void setGenerated(boolean generated)

    - #### isString

          public boolean isString()

      Specified by:
        `isString` in interface `SqlColumn`

    - #### isNumber

          public boolean isNumber()

      Specified by:
        `isNumber` in interface `SqlColumn`

    - #### isDataBlock

          public boolean isDataBlock()

      Specified by:
        `isDataBlock` in interface `SqlColumn`